Subject: bug#14782: 24.3.50; flyspell-mode garbles accents in terminal clients

From: Stefan Monnier <[email-masked]>
Date: Fri, 05 Jul 2013 07:42:59 -0400

>> And what does Emacs show if you go to one of the garbled characters it
>> displays and type "C-u C-x ="?
> As a result of typing the accented "e" with flyspell-mode on I got two
> garbled characters. On them the above commands returns, respectively:

Is this with a single frame, or multiple frames?  With a mix of GUI
frames and tty frames, maybe?  Other than flyspell, what other
modes/packages are in use?
Can you try and give a detailed recipe, ideally starting from "emacs -Q"?

> Disabling flyspell-mode the character is not garbled anymore, and on the
> accented "e" the result is:

I can't see anything obvious in flyspell which could cause that, so it
is probably some interaction between flyspell and something else (or
maybe it's just accidentally correlated with flyspell).

        Stefan